Package: groovy.lang.groovydoc

## [Java] Class Groovydoc

- groovy.lang.groovydoc.Groovydoc

-     public class Groovydoc
      extends Object

  Represents groovydoc

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static Groovydoc` | `EMPTY_GROOVYDOC` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Groovydoc(String content, GroovydocHolder groovydocHolder)`
    `Groovydoc(String content, AnnotatedElement annotatedElement)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `equals(Object o)`
    `` | `public String` | `getContent()` Get the content of groovydoc
    `` | `public Groovydoc` | `getGroovydoc()`
    `` | `public GroovydocHolder` | `getHolder()` Get the holder of the groovydoc
    `` | `public AnnotatedElement` | `getInstance()`
    `` | `public List<GroovydocTag>` | `getTagList()`
    `` | `public List<GroovydocTag>` | `getTagList()` TODO Get list of groovydoc tags
    `` | `public int` | `hashCode()`
    `` | `public boolean` | `isPresent()` Tests if groovydoc is present
    `` | `public String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public static final Groovydoc EMPTY_GROOVYDOC

  - ### Constructor Detail

    - #### public Groovydoc(String content, GroovydocHolder groovydocHolder)

    - #### public Groovydoc(String content, AnnotatedElement annotatedElement)

  - ### Method Detail

    - #### @Override
      public boolean equals(Object o)

    - #### public String getContent()

      Get the content of groovydoc

      Returns:
        the text content

    - #### @Override
      public Groovydoc getGroovydoc()

    - #### public GroovydocHolder getHolder()

      Get the holder of the groovydoc

      Returns:
        the groovydoc holder

    - #### @Override
      public AnnotatedElement getInstance()

    - #### @Override
      public List<GroovydocTag> getTagList()

    - #### public List<GroovydocTag> getTagList()

      TODO Get list of groovydoc tags

      Returns:
        a list of tags

    - #### @Override
      public int hashCode()

    - #### public boolean isPresent()

      Tests if groovydoc is present

      Returns:
        `true` if groovydoc is present

    - #### @Override
      public String toString()